Qgis 3.4 running unstable on macOS MOjave 10.14.1

2018-11-10 01:44 AM - Antonio Figueroa

Status: Closed

Priority: Normal

Assignee: William Kyngesburye

Category: mac_os_specific

Affected QGIS version:3.4.0 Regression?: No

Operating System: macOS Mojave 10.14.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 28255

Description

I have installed the latest version of QGis (3.4) on my iMac and it really works unstable. Some processes do not offer results such as "cut

raster by mask layer".

Next I show the dialog that is generated once the process is executed:

__Processing algorithm ...

Algorithm 'Cut raster by mask layer' starting ...

Input parameters:{'ALPHA_BAND': False, 'CROP_TO_CUTLINE': True, 'DATA_TYPE': 0, 'INPUT': '/Users/

PNOA_MDT05_ETRS89_HU29_0072_LID.asc .txt ',' KEEP_RESOLUTION ': False,' MASK ':' /Users/antoniov.figueroa/Library/Mobile

Documents / com ~ apple ~ CloudDocs / LUCUS AVENTUR / SIX / cordal.shp ',' NODATA ': None,' OPTIONS ':' ',' OUTPUT ':'

/var/folders/nd/54cdqxcn6_15gt4d1cf2n5nc0000gn/T/processing_b006352b6a994fb5a1db3fce9bc6a19e/fb41ac25a0f94aea8ec61b2098c55b59/OUTPUT.tif '}

8c55b59/OUTPUT.tif '}

GDAL command:

gdalwarp -of GTiff -cutline "/Users/ PNOA_MDT05_ETRS89_HU29_0072_LID.asc.txt

"/var/folders/nd/54cdqxcn6_15gt4d1cf2n5nc0000gn/T/processing_b006352b6a994fb5a1db3fce9bc6a19e/fb41ac25a0f94aea8ec61b2098c55b59/OUTPUT.tif

98c55b59/OUTPUT.tif

GDAL command output:

/ bin / sh: gdalwarp: command not found

Execution completed in 0.06 seconds

Results:{'OUTPUT': <QgsProcessingOutputLayerDefinition {'sink': / var / folders / nd / 54cdqxcn6_15gt4d1cf2n5nc0000gn / T /

processing_b006352b6a994fb5a1db3fce9bc6a19e / fb41ac25a0f94aea8ec61b2098c55b59 / OUTPUT.tif, 'createOptions':

{'fileEncoding': 'System'}}>}

Loading the resulting layers

The following layers were not generated correctly. <Ul> <li>

/var/folders/nd/54cdqxcn6_15gt4d1cf2n5nc0000gn/T/processing_b006352b6a994fb5a1db3fce9bc6a19e/fb41ac25a0f94aea8ec61b2098c55b59/OUTPUT.tif 

8c55b59/OUTPUT.tif  You can check the «Message panel of the registry» in the main window of QGIS to find more information about the

execution of the algorithm._

I'm afraid that with other raster and vector processes the same thing will happen.

I'm trying to leave version 2.18 behind, but this situation discourages me a lot!

Thanks in advance

History

#1 - 2018-11-11 08:13 AM - Denis Rouzaud
- Assignee changed from Denis Rouzaud to William Kyngesburye

I think that there is an issue that GDAL was not in the package and that a new version would include it (you might were supposed to install it prior)

To be confirmed by william

#2 - 2018-11-11 06:16 PM - William Kyngesburye

GDAL should be installed by the installer.  Also, make sure to follow the instructions in the readme to set the system PATH (yes, it's unfortunate that the

setting for the GDAL path is missing).

#3 - 2018-11-11 06:51 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2018-11-11 07:06 PM - William Kyngesburye

#20454 appears to have the reason for the failure, even when system PATH is set.

#5 - 2018-11-11 07:37 PM - Saber Razmjooei

- Subject changed from Qgis 3.4 running unestable on macOS MOjave 10.14.1 to Qgis 3.4 running unstable on macOS MOjave 10.14.1

#6 - 2018-11-12 09:20 AM - Antonio Figueroa

William Kyngesburye wrote:

GDAL should be installed by the installer.  Also, make sure to follow the instructions in the readme to set the system PATH (yes, it's unfortunate that

the setting for the GDAL path is missing).

Thanks for all the answers. It's nice to ask questions to those who respond so quickly and diligently to people like me who only use QGIS in an amateur

way without knowledge of computer programming.

#7 - 2019-03-09 09:36 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

- Priority changed from High to Normal

- Crashes QGIS or corrupts data changed from Yes to No

Closing for lack of feedback.
